Package org.apache.jmeter.reporters

# Enum MailerModel.MailAuthType

java.lang.Object
java.lang.Enum<MailerModel.MailAuthType>
org.apache.jmeter.reporters.MailerModel.MailAuthType

All Implemented Interfaces:
  `Serializable`, `Comparable<MailerModel.MailAuthType>`, `java.lang.constant.Constable`

Enclosing class:
  MailerModel

public static enum MailerModel.MailAuthType extends Enum<MailerModel.MailAuthType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  `SSL`
  `TLS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MailerModel.MailAuthType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static MailerModel.MailAuthType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SSL

    public static final MailerModel.MailAuthType SSL

  - ### TLS

    public static final MailerModel.MailAuthType TLS

  - ### NONE

    public static final MailerModel.MailAuthType NONE

- ## Method Details

  - ### values

    public static MailerModel.MailAuthType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static MailerModel.MailAuthType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null